getEpochInfo
POST
Returns information about the current epoch
param[0]
configurationObjectobjectrequired
commitmentstring
The commitment describes how finalized a block is at that point in time.- finalized - the node will query the most recent block confirmed by supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized
- confirmed - the node will query the most recent block that has been voted on by supermajority of the cluster.
- processed - the node will query its most recent block. Note that the block may still be skipped by the cluster.
minContextSlotstring
The minimum slot that the request can be evaluated at.Responses
idinteger
The request IDjsonrpcstring
The JSON-RPC versionabsoluteSlotinteger
The current slotblockHeightinteger
The current block heightepochinteger
The current epochslotIndexinteger
The current slot relative to the start of the current epochslotsInEpochinteger
The number of slots in this epochtransactionCountinteger
Total number of transactions processed without error since genesiscodestringrequired
Code identifying the cause of the failed request.messagestringrequired
Detailed message including the name and value of the invalid parameter.{"code": "ERROR_CODE","message": "Bad Request"}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \-H 'Content-Type: application/json' \-H 'X-API-KEY: nodit-demo' \-d '{"jsonrpc": "2.0","id": 1,"method": "getEpochInfo","params": [{"commitment": "finalized"}]}'